Software Resources‎ > ‎MacQIIME‎ > ‎

Fix split_libraries.py in MacQIIME 1.4.0

In the December 2011 version of MacQIIME (MacQIIME_1.4.0-20111216), there was an error in split_libraries.py.  This error was fixed in the SVN code for QIIME, and since it's a big bug I made a fix in MacQIIME as well.  If you have MacQIIME version 1.4.0-20111216 installed, you can fix it as follows.

The latest download on this site, MacQIIME_1.4.0a-20120108, already includes this fix. If you have this latest version, you don't need to do anything.

1. Download the fix

Download FixSplitLibraries_MacQIIME1.4.0.tgz into your Downloads folder (Do not open it with the Archive Utility graphical tool -- we'll unzip it in the command line).

2. Unzipping the files

Open the Terminal and cd into the downloads folder:

cd ~/Downloads/

and untar the file:

tar -xvf FixSplitLibraries_MacQIIME1.4.0.tgz

and cd into the new directory:

cd FixSplitLibraries_MacQIIME1.4.0

3. Run the fix-it script

Run the script. It will ask you for your administrative password. You have to have sudo privileges to successfully run the script.

./FixSplitLibraries_MacQIIME.s

That should do it!  It just replaced two libraries, and the test script for split_libraries.py.


Comments